/** 
 * This is an applet for testing the communication with a servlet invoked by a  * button click in another frame.  The applet has a simple method that prints 
 * "Hello World" into a text frame.  This method sayHello() will be serialized  * and published to the servlet.
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class testApp extends JApplet implements ActionListener {
   String message;
   Container c;
   JPanel panel;
   JButton button;
   TextArea ta;

   public void init() {
	String message;

	//Set up the graphics containers.
	c=getContentPane();
	panel=new JPanel();
	ta=new TextArea();

   	button=new JButton("Click Here");
	button.addActionListener(this);	
	
	ta=new TextArea(5,20);
	ta.setEditable(false);

	panel.add(button);
	panel.add(ta);
	c.add(panel);
   }

   //Activate the button.
   public void actionPerformed(ActionEvent e) {
	java.lang.Object source=e.getSource();
	if(source==button) {
	   message=sayHello();
           System.out.println("Button pressed");
	   ta.append(message+"\n");
        }	

   }
   public String sayHello() {
	return "Hello World";
   }
   
   	
}

	
